## toon 0.0~git20220106104723.370dcd9

=== doc/Makefile ===
docs:
	doxygen Doxyfile

=== debian/changelog ===
toon (0.0~git20220106104723.370dcd9-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.
  * Add patch ac-path-pkgconfig.patch: Use cross-build compatible macro for
    finding pkg-config.

  [ Roland Mas ]
  * Upload Janitor's changes.

 -- Roland Mas <lolando@debian.org>  Sun, 15 Oct 2023 16:56:55 +0200

toon (0.0~git20220106104723.370dcd9-2) unstable; urgency=medium

  * Source-only upload for migration to testing.

 -- Roland Mas <lolando@debian.org>  Sat, 05 Feb 2022 16:19:25 +0100

toon (0.0~git20220106104723.370dcd9-1) unstable; urgency=medium

  * New upstream snapshot, includes license clarifications and build
    fixes.
  * Update debian/copyright accordingly.
  * Drop debian/patches accordingly.
  * Use more standard version number based on Git snapshot.

 -- Roland Mas <lolando@debian.org>  Thu, 06 Jan 2022 12:20:37 +0100

toon (3.0+git20200328111944.14dde29-4) unstable; urgency=medium

  * Update debian/copyright for doc/* files.

 -- Roland Mas <lolando@debian.org>  Mon, 03 Jan 2022 19:15:07 +0100

toon (3.0+git20200328111944.14dde29-3) unstable; urgency=medium

  * Stop shipping *.in files.

 -- Roland Mas <lolando@debian.org>  Thu, 30 Dec 2021 11:16:09 +0100

toon (3.0+git20200328111944.14dde29-2) unstable; urgency=medium

  * Update Maintainer/Uploaders.

 -- Roland Mas <lolando@debian.org>  Wed, 29 Dec 2021 19:10:36 +0100

toon (3.0+git20200328111944.14dde29-1) unstable; urgency=medium

  * Update from Git snapshot.

 -- Roland Mas <lolando@debian.org>  Tue, 28 Dec 2021 20:19:42 +0100

toon (3.0-1) UNRELEASED; urgency=medium

  * Initial release.

 -- Roland Mas <lolando@debian.org>  Tue, 28 Dec 2021 19:32:04 +0100

=== debian/control ===
Source: toon
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>, Roland Mas <lolando@debian.org>
Build-Depends: debhelper-compat (= 13), liblapack-dev, pkg-config
Standards-Version: 4.6.1
Section: libs
Homepage: https://www.edwardrosten.com/cvd/toon.html
Vcs-Browser: https://salsa.debian.org/science-team/toon
Vcs-Git: https://salsa.debian.org/science-team/toon.git
Rules-Requires-Root: no

Package: libtoon-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}
Description: C++ numerics library designed for large numbers of small matrices
 TooN is a C++ numerics library which is designed to operate
 efficiently on large numbers of small matrices, and provides easy
 access to a number of algorithms including matrix decompositions and
 optimizations.
 .
 TooN is type generic and works well with a variety of numeric types
 including double, float and automatic differentiation types.
 .
 It is designed to integrate very will with the libCVD computer vision
 library and GVars3 configuration library.

=== debian/watch ===
version=4
opts="mode=git, repacksuffix=+ds1, date=%Y%m%d%H%M%S, dversionmangle=s/\+ds\d+//, pgpmode=none" \
https://github.com/edrosten/TooN.git HEAD

## toon 0.0.1

=== DESCRIPTION ===
Package: toon
Type: Package
Title: Token-Oriented Object Notation (TOON)
Version: 0.0.1
Authors@R: c(
    person("Bernardo", "Lares", , "laresbernardo@gmail.com", c("aut", "cre")))
Maintainer: Bernardo Lares <laresbernardo@gmail.com>
Description: Token-Oriented Object Notation (TOON) is a compact, human-readable 
    serialization format designed for passing structured data to Large Language
    Models with significantly reduced token usage. It's intended for LLM input
    as a lossless, drop-in representation of JSON data.
Depends: R (>= 3.5.0)
URL: https://github.com/laresbernardo/toon
BugReports: https://github.com/laresbernardo/toon/issues
RoxygenNote: 7.3.3
License: MIT + file LICENSE
Encoding: UTF-8
Config/testthat/edition: 3
Suggests: testthat (>= 3.0.0)
NeedsCompilation: no
Packaged: 2025-11-05 17:42:04 UTC; bernardo
Author: Bernardo Lares [aut, cre]
Repository: CRAN
Date/Publication: 2025-11-10 08:20:02 UTC
